%define upstream_name    Twiggy
%define upstream_version 0.1024

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Adapter for Twiggy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Plack) >= 0.990.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
Twiggy is a lightweight and fast HTTP server with unique features such as:

* PSGI

  Can run any PSGI applications. Fully supports _psgi.nonblocking_ and
  _psgi.streaming_ interfaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/twiggy
/usr/share/man/man1/twiggy.1.xz

%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.102.400-2.mga4
+ Revision: 542214
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.102.400-1.mga4
+ Revision: 497120
- update to 0.1024

* Sat Jun 22 2013 shlomif <shlomif> 0.102.300-1.mga4
+ Revision: 445682
- update to 0.1023

* Sun Jan 13 2013 umeabot <umeabot> 0.102.100-2.mga3
+ Revision: 374495
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.102.100-1.mga3
+ Revision: 315933
- update to 0.1021

* Wed Jul 11 2012 shlomif <shlomif> 0.102.0-1.mga3
+ Revision: 269517
- imported package perl-Twiggy


* Wed Jul 11 2012 cpan2dist 0.1020-1mga
- initial mageia release, generated with cpan2dist
